var pageIndex=1
var pageCount=1

jQuery(document).ready(function(){

function Request(strName){  
var strHref = location.href;
//http://localhost:29190/template/AmlList.html?action=GetPageData&PageNo=1&type=media&oder=UploadDate&id=4eb68b9f-0bd5-4623-b787-19520ed9e714
var intPos = strHref.indexOf("?");  
var strRight = strHref.substr(intPos + 1);  
var arrTmp = strRight.split("&");  
for(var i = 0; i < arrTmp.length; i++) {  
var arrTemp = arrTmp[i].split("=");  
if(arrTemp[0].toUpperCase() == strName.toUpperCase()) return arrTemp[1];  
}  
}  

//-----------------------------------------------------------

function getPageData(pageNo){ //取得某页数据的方法
         $.get("/AJaxPage/AmlPage.ashx",{"action":Request ("action"),"PageNo":Request ("PageNo") ,type:"media","oder":Request ("oder"),id:Request ("id")},function(data,status){
        var amlId=Request ("id")
         pageIndex =Request ("PageNo")
      
             if(status=="success"){
             $("#Comment").empty();

           var json =  jQuery.parseJSON(data);

           $("#pages").empty(); 
           var p=$("<p>"+pageNo  +"/"+ pageCount +"</p>" );
        
           $("#pages").append(p);
      
           //上一页链接
           var shangPage=parseInt(pageNo)-1
           var shang 
    
           if (pageIndex-1<1){
             shang=$("<span>上一页</span>")
             alert ("已经是第一页了！")
           }else {
              if (Request ("oder")=="Point"){
                              
              shang=$("<a href='AmlList.html?action=GetPageData&PageNo="+shangPage+"&type=media&oder=Point&id="+amlId +"'> 上一页</a>")
             }else {
                shang=$("<a href='AmlList.html?action=GetPageData&PageNo="+shangPage+"&type=media&oder=TotalView&id="+amlId +"'> 上一页</a>")
             }
           }
           $("#shang").empty();
           $("#shang").append(shang);
           
           //下一页链接

           var nextPage=parseInt(pageNo)+1
            var next
           if (pageIndex ==pageCount ){
             next=$("<span>下一页</span>")
           }else{
            if (Request ("oder")=="Point"){
                next=$("<a href='AmlList.html?action=GetPageData&PageNo="+nextPage+"&type=media&oder=Point&id="+amlId +"'> 下一页</a>")
             }else {
                next=$("<a href='AmlList.html?action=GetPageData&PageNo="+nextPage+"&type=media&oder=TotalView&id="+amlId +"'> 下一页</a>")
             }
           }
       
           $("#next").empty();
           $("#next").append(next);
           
            for(var i=0,l=json.length;i<l;i++){
      
//             var li= $("<li>"+json[i]["Name"]+"</li>");   
                if (i%4==0 && i!=0){
                  var li= $("<li><p class='img_hover'><a href='/html/player/20110913/Player_8464.htm' onclick ='window.open("+"/html/player/20110913/Player_8464.htm"+")><img src='kjhig' /><span></span></a></p><span class='text'><a href='#' onclick ='window.open('hvjv')'> "+json[i]["Name"]+"</a><br />发表于"+json[i]["UploadDate"]+"<br /><b>播放："+json[i]["TotalView"]+"</b>评论："+json[i]["PointCount"]+"</span></li>");
              
                }else {
                 var li= $("<li class='right_none'><p class='img_hover'><a href='/html/player/20110913/Player_8464.htm' onclick ='window.open("+"/html/player/20110913/Player_8464.htm"+")><img src='kjhig' /><span></span></a></p><span class='text'><a href='#' onclick ='window.open('hvjv')'> "+json[i]["Name"]+"</a><br />发表于"+json[i]["UploadDate"]+"<br /><b>播放："+json[i]["TotalView"]+"</b>评论："+json[i]["PointCount"]+"</span></li>");

                }
                $("#Comment").append(li);    //每取出一条数据就创建一个li并append到Comment/ul内。
            }
      
            }
          });
}
//-------------------------------------------------------------------
getPageData(Request ("pageNo")); //首次进入页面，看到的是第一页的数据
//----------------------------------------------------------------/
//取得所有的页数并且初始化分页按钮
 $.get("/AJaxPage/AmlPage.ashx",{"action":"GetPageCount",type:Request ("type"),id:Request ("id")},function(data,status){
             if(status=="success"){  
               var tr1=$("<tr></tr>");
               for(var i=1;i<=pageNo;i++){
                     var td=$("<td><a href=''>"+i+"</a></td>");
                     tr1.append(td);    
               } 
               var pageNo=parseInt(data);
               pageCount =pageNo 
              $("#pageNo").append(tr1); 
              $("#pageNo a").click(function(e){ //页码创建后，就为每一个页码监听一个click事件。
                   e.preventDefault();          //取消a的默认跳转行为
                   getPageData($(this).html()); //点击后就去执行取页数据的操作。
                 });
             }     
          });
//----------------------------------------------------------------------------
});